<?php
namespace Pixelgrade\StyleManager;

/**
 * Capabilities.
 *
 * @since 2.0.0
 */
final class Capabilities {

	/**
	 * Primitive capability for managing options.
	 *
	 * @var string
	 */
	const MANAGE_OPTIONS = 'pixelgrade_style_manager_manage_options';

	/**
	 * Register capabilities.
	 *
	 * @since 2.0.0
	 */
	public static function register() {
		$wp_roles = wp_roles();

		$wp_roles->add_cap( 'administrator', self::MANAGE_OPTIONS );
	}
}
